Package skyview.sia

# Class SIAWriter

java.lang.Object
skyview.process.Processor
skyview.sia.SIAWriter

All Implemented Interfaces:
  `Serializable`, `Component`

public class SIAWriter extends Processor
This class writes out SIA records for surveys which have coverage in the specified region. It assumes the the Checker class was used as the image finder.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SIAWriter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of this component
`String`
`getName()`
Get the name of this component.
`void`
`process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)`
Perform the processing task associated with this object.
`void`
`updateHeader(nom.tam.fits.Header h)`
This should only be used in contexts when no FITS file is produced, so this method does nothing.
`boolean`
`updatesOutput()`
Does this processor actually modify the output array?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SIAWriter

public SIAWriter()

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### getDescription

public String getDescription()
Get a description of this component

### updatesOutput

public boolean updatesOutput()
Description copied from class: `Processor`
Does this processor actually modify the output array?

Specified by:
  `updatesOutput` in class `Processor`

### process

public void process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)
Description copied from class: `Processor`
Perform the processing task associated with this object.

Specified by:
  `process` in class `Processor`
Parameters:
  `input` - The array of input survey images.
  `output` - The output user image. A null output may signal that an error has taken place. If this processor wishes to do something in response to the error, it may look at the ErrorMsg setting.
  `osource` - An array giving the source image for each output pixel.
  `samp` - The sampler object used to do spatial sampling of the input images.
  `dSampler` - The sampler in the energy dimension (often null).

### updateHeader

public void updateHeader(nom.tam.fits.Header h)
This should only be used in contexts when no FITS file is produced, so this method does nothing.

Specified by:
  `updateHeader` in class `Processor`